# TimeUnit Class Reference

Measurement unit for time units. More...

`#include <tmunit.h>`

Inheritance diagram for TimeUnit:

## Public Types
enum | UTimeUnitFields { UTIMEUNIT_YEAR, UTIMEUNIT_MONTH, UTIMEUNIT_DAY, UTIMEUNIT_WEEK, UTIMEUNIT_HOUR, UTIMEUNIT_MINUTE, UTIMEUNIT_SECOND, UTIMEUNIT_FIELD_COUNT }
| Constants for all the time units we supported. More...
## Public Member Functions
virtual UObject * | clone () const
| Override clone.
| TimeUnit (const TimeUnit &other)
| Copy operator.
TimeUnit & | operator= (const TimeUnit &other)
| Assignment operator.
virtual UBool | operator== (const UObject &other) const
| Equality operator.
UBool | operator!= (const UObject &other) const
| Non-Equality operator.
virtual UClassID | getDynamicClassID () const
| Returns a unique class ID for this object POLYMORPHICALLY.
UTimeUnitFields | getTimeUnitField () const
| Get time unit field.
virtual | ~TimeUnit ()
| Destructor.
## Static Public Member Functions
static TimeUnit * | createInstance (UTimeUnitFields timeUnitField, UErrorCode &status)
| Create Instance.
static UClassID | getStaticClassID ()
| Returns the class ID for this class.

## Detailed Description

Measurement unit for time units.

See also:
  TimeUnitAmount

  TimeUnit

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

Definition at line 30 of file tmunit.h.

## Member Enumeration Documentation

enum TimeUnit::UTimeUnitFields

Constants for all the time units we supported.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

Definition at line 36 of file tmunit.h.

## Constructor & Destructor Documentation

TimeUnit::TimeUnit | ( | const TimeUnit & | other | ) |

Copy operator.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

virtual TimeUnit::~TimeUnit | ( |  | ) | `[virtual]`

Destructor.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

## Member Function Documentation

virtual UObject* TimeUnit::clone | ( |  | ) | const`[virtual]`

Override clone.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

Implements MeasureUnit.

static TimeUnit* TimeUnit::createInstance | ( | UTimeUnitFields | timeUnitField,
|  | UErrorCode & | status |
| ) |  |  | `[static]`

Create Instance.

Parameters:

  | timeUnitField | time unit field based on which the instance is created.
  | status | input-output error code. If the timeUnitField is invalid, then this will be set to U_ILLEGAL_ARGUMENT_ERROR.

Returns:
  a TimeUnit instance

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

virtual UClassID TimeUnit::getDynamicClassID | ( |  | ) | const`[virtual]`

Returns a unique class ID for this object POLYMORPHICALLY.

This method implements a simple form of RTTI used by ICU.

Returns:
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

Implements UObject.

static UClassID TimeUnit::getStaticClassID | ( |  | ) | `[static]`

Returns the class ID for this class.

This is used to compare to the return value of getDynamicClassID().

Returns:
  The class ID for all objects of this class.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

UTimeUnitFields TimeUnit::getTimeUnitField | ( |  | ) | const

Get time unit field.

Returns:
  time unit field.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

UBool TimeUnit::operator!= | ( | const UObject & | other | ) | const`[inline]`

Non-Equality operator.

Returns:
  true if 2 objects are not the same.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

Definition at line 138 of file tmunit.h.

References operator==().

TimeUnit& TimeUnit::operator= | ( | const TimeUnit & | other | ) |

Assignment operator.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

virtual UBool TimeUnit::operator== | ( | const UObject & | other | ) | const`[virtual]`

Equality operator.

Returns:
  true if 2 objects are the same.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.2

Implements MeasureUnit.

Referenced by operator!=().

The documentation for this class was generated from the following file:

- tmunit.h